CAS9029E - UNABLE TO REFRESH LOAD MODULE CAS9FLAM AN IPL MAY BE REQUIRED

Document ID : KB000021145
Last Modified Date : 14/02/2018
Show Technical Document Details

Symptoms:

After upgrading to Common Services v14.0 you may receive the following message at IPL and subsequently, CAS9 initialization may fail with the following message:

CAS9029E - UNABLE TO REFRESH LOAD MODULE CAS9FLAM AN IPL MAY BE REQUIRED

Additionally, the startup of ENF may fail with:

CAS9202E - CA-ENF REQUIRED MODULE NOT FOUND -- CAS9EVT

 

Cause:

The probable cause is that an older version of CAS9LPAM being picked up from the system Linklist. With v14.0 and r14.1, there is a separate library with the low level qualifier of CAW0LINK which must be defined in the system linklist ahead of any other library containing older CA Common Services modules.

 

Resolution:

Ensure that CAW0LINK is linklisted and either eliminate the older CA Common Services library (or libraries) or place CAW0LINK ahead of them in Linklist. Please review the description of CAW0LINK found on page 28 of the Common Services v14.0 Installation Guide in the section titled BASE and OPTIONAL Target Libraries.

Note: If you will also be defining CAW0LOAD in the system linklist, then this library should be defined with CAW0LINK and ahead of any older Common Services library. It does not matter if CAW0LINK is defined before or after CAW0LOAD. The important fact is that these come before any library that may contain older versions of CA Common Services code.

 

Additional Information: 

* See KB Article ID: TEC1215595 for additional tips.